Last modified: 2009-09-17 15:37:57 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 18264 - Cannot use "upload by URL" feature with javascript disabled
Cannot use "upload by URL" feature with javascript disabled
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Uploading (Other open bugs)
1.15.x
All All
: Normal minor (vote)
: ---
Assigned To: Michael Dale
http://test.wikipedia.org/wiki/Specia...
: easy
Depends on:
Blocks: 18563
  Show dependency treegraph
 
Reported: 2009-03-30 23:04 UTC by Splarka
Modified: 2009-09-17 15:37 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Splarka 2009-03-30 23:04:47 UTC
Javascript is currently required to upload by URL, due to the upload form having the entry box for the URL disabled in the page source.

The form should be modified via javascript after pageload, depending on the status of the radio button (with back/forward navigation, it might not always be the URL field that should be disabled).
Comment 1 Michael Dale 2009-04-29 15:23:44 UTC
pretty easy fix r 50044 ( in new-upload branch) 
Comment 2 Michael Dale 2009-07-23 23:17:10 UTC
fix applied to trunk with new-upload merge tested in r53700
Comment 3 Splarka 2009-07-24 02:37:42 UTC
(In reply to comment #2)
> fix applied to trunk with new-upload merge tested in r53700
> 

If you fixed it, it isn't a WORKSFORME, it is a FIXED.
Comment 4 Michael Dale 2009-09-17 15:26:28 UTC
ah... non-js2 version appears to have old form code... updated in r56524
Comment 5 Splarka 2009-09-17 15:37:57 UTC
Thanks!

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links